List all Items for a Webset
curl --request GET \
--url https://api.exa.ai/websets/v0/websets/{webset}/items \
--header 'x-api-key: <api-key>'import requests
url = "https://api.exa.ai/websets/v0/websets/{webset}/items"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.exa.ai/websets/v0/websets/{webset}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"object": "webset_item",
"source": "search",
"sourceId": "<string>",
"websetId": "<string>",
"properties": {
"type": "person",
"url": "<string>",
"description": "<string>",
"person": {
"name": "<string>",
"location": "<string>",
"position": "<string>",
"company": {
"name": "<string>",
"location": "<string>"
},
"pictureUrl": "<string>",
"workHistory": [
{
"title": "<string>",
"location": "<string>",
"dates": {
"from": "<string>",
"to": "<string>"
},
"company": {
"id": "<string>",
"name": "<string>",
"linkedinUrl": "<string>"
}
}
],
"educationHistory": [
{
"degree": "<string>",
"dates": {
"from": "<string>",
"to": "<string>"
},
"institution": {
"id": "<string>",
"name": "<string>",
"linkedinUrl": "<string>"
}
}
]
}
},
"evaluations": [
{
"criterion": "<string>",
"reasoning": "<string>",
"satisfied": "yes",
"references": []
}
],
"enrichments": [
{
"object": "enrichment_result",
"status": "pending",
"format": "text",
"result": [
"<string>"
],
"reasoning": "<string>",
"references": [
{
"title": "<string>",
"snippet": "<string>",
"url": "<string>"
}
],
"enrichmentId": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sourceEntityId": "<string>",
"scopeId": "<string>"
}
],
"hasMore": true,
"nextCursor": "<string>"
}Items
List all Items for a Webset
Returns a list of Webset Items.
You can paginate through the Items using the cursor parameter.
GET
/
v0
/
websets
/
{webset}
/
items
List all Items for a Webset
curl --request GET \
--url https://api.exa.ai/websets/v0/websets/{webset}/items \
--header 'x-api-key: <api-key>'import requests
url = "https://api.exa.ai/websets/v0/websets/{webset}/items"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.exa.ai/websets/v0/websets/{webset}/items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"object": "webset_item",
"source": "search",
"sourceId": "<string>",
"websetId": "<string>",
"properties": {
"type": "person",
"url": "<string>",
"description": "<string>",
"person": {
"name": "<string>",
"location": "<string>",
"position": "<string>",
"company": {
"name": "<string>",
"location": "<string>"
},
"pictureUrl": "<string>",
"workHistory": [
{
"title": "<string>",
"location": "<string>",
"dates": {
"from": "<string>",
"to": "<string>"
},
"company": {
"id": "<string>",
"name": "<string>",
"linkedinUrl": "<string>"
}
}
],
"educationHistory": [
{
"degree": "<string>",
"dates": {
"from": "<string>",
"to": "<string>"
},
"institution": {
"id": "<string>",
"name": "<string>",
"linkedinUrl": "<string>"
}
}
]
}
},
"evaluations": [
{
"criterion": "<string>",
"reasoning": "<string>",
"satisfied": "yes",
"references": []
}
],
"enrichments": [
{
"object": "enrichment_result",
"status": "pending",
"format": "text",
"result": [
"<string>"
],
"reasoning": "<string>",
"references": [
{
"title": "<string>",
"snippet": "<string>",
"url": "<string>"
}
],
"enrichmentId": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"sourceEntityId": "<string>",
"scopeId": "<string>"
}
],
"hasMore": true,
"nextCursor": "<string>"
}Authorizations
apiKeybearer
Pass your Exa API key in the x-api-key header. You can also authenticate with Authorization: Bearer .
Path Parameters
The id or externalId of the Webset
Query Parameters
The cursor to paginate through the results
Minimum string length:
1The number of results to return
Required range:
1 <= x <= 100The id of the source